$(window).on("scroll", function () {
    $("header").toggleClass("sticky", window.scrollY > 0);
})

$(document).ready(function () {
    function setAriaExpandedFalse() {
        $(".dropdown-btn").each(
            function () { $(this).attr("aria-expanded", "false") }
        );
    }

    function closeDropdownMenu() {
        $(".dropdown").each(function () {
            $(this).removeClass("active");
        });
    }

    function toggleHamburger() {
        $("nav").toggleClass("show");
        $("#hamburger").attr(
            "aria-expanded",
            $("#hamburger").attr("aria-expanded") === "false" ? "true" : "false"
        );
        if ($("nav").hasClass("show")) {
            $('body').css({ 'overflow': 'hidden' });
            $(document).bind('scroll', function () {
                window.scrollTo(0, 0);
            });
        } else {
            $(document).unbind('scroll');
            $('body').css({ 'overflow': 'visible' });
        }
    }

    $(".dropdown-btn").each(function () {
        $(this).on("click", function (e) {
            const dropdownIndex = this.dataset.dropdown;

            $("#" + dropdownIndex).toggleClass("active");
            $(".dropdown").each(function () {
                if ($(this).attr("id") !== dropdownIndex) {
                    $(this).removeClass("active");
                }
            });
            e.stopPropagation()

            $(this).attr(
                "aria-expanded",
                $(this).attr("aria-expanded") === "false" ? "true" : "false"
            );
        });
    });

    // close dropdown menu when the dropdown links are clicked
    $(".dropdown a").each(function () {
        $(this).click(function () {
            closeDropdownMenu();
            setAriaExpandedFalse();
        })
    });

    // close dropdown menu when you click on the document body
    $(document.documentElement).click(function () {
        closeDropdownMenu();
        setAriaExpandedFalse();
    });

    // close dropdown when the escape key is pressed
    $(document).keydown(function (e) {
        if (e.key === "Escape") {
            closeDropdownMenu();
            setAriaExpandedFalse();
        }
    });

    $("#hamburger").click(toggleHamburger);
});